:root {
    --primary-color: #0d266a;
    --primary-color-hover: #0d1c4a;
}

body {
    background-color: #f4f6f9;
}

.btn-primary {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.btn-primary:hover {
    background-color: var(--primary-color-hover);
    border-color: var(--primary-color-hover);
}

.btn-primary:focus {
    box-shadow: none;
}

.btn-primary:focus-visible {
    outline: none;
    box-shadow: none;
    background-color: var(--primary-color-hover);
    border-color: var(--primary-color-hover);
}

.btn-primary:active {
    background-color: var(--primary-color-hover) !important;
    border-color: var(--primary-color-hover) !important;
}

.btn-primary:active:focus-visible {
    box-shadow: none;
}

.sidebar {
    width: 250px;
    min-height: 100vh;
    height: 100%;
    z-index: 1000;
    background-color: var(--primary-color);
    padding: 0 20px;
    transition: margin-left 0.3s ease;
    color: #fff;
    position: fixed;
}

.sidebar .navbar-brand {
    font-size: 21px;
    font-weight: 700;
    color: #fff;
    text-align: center;
    margin-left: 0px !important;
    height: 55px;
    display: flex;
    align-items: center;
}

.navbar {
    margin-left: 250px;
    transition: margin-left 0.3s ease;
}

.navbar-primary {
    background-color: var(--primary-color);
    color: #fff;
}

.navbar.margin-0 {
    margin-left: 0px;
    transition: margin-left 0.3s ease;
}

.navbar-toggler:focus {
    box-shadow: none;
}

.navbar-toggler:focus-visible {
    outline: none;
}

.main-content {
    margin-left: 250px;
    transition: margin-left 0.3s ease;
    padding: 80px 20px;
}

.main-content.margin-0 {
    margin-left: 0px;
    transition: margin-left 0.3s ease;
}

.sidebar.hidden {
    margin-left: -250px;
}

.navbar .logout {
    color: #fff;
    text-decoration: none;
    margin-right: 10px;
}

.login.container {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login .card {
    width: 400px;
}

.card-body .header {
    font-size: 24px;
    font-weight: 600;
    margin-bottom: 20px;
}

.error-msg {
    color: red;
    font-size: 14px;
    font-style: italic;
}

.select2-container .select2-selection--single {
    height: 40px !important;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    line-height: 37px !important;
}

.select2-container--default
    .select2-selection--single
    .select2-selection__arrow {
    height: 37px !important;
}

.title {
    font-size: 40px;
    font-weight: 600;
}

.job-list {
    border-top: 1px solid #ccc;
    margin-top: 20px;
}

.job-card.in_progress {
    border-left: 8px solid #ffc107;
}

.job-card.done {
    border-left: 8px solid #28a745;
}

.job-card.completed {
    border-left: 8px solid #007bff;
}

.job-card.pending {
    border-left: 8px solid #dc3545;
}

.job-card .job-number {
    font-size: 28px;
    font-weight: 600;
    color: var(--primary-color);
    text-decoration: none;
}

.job-card .job-title {
    font-size: 22px;
    font-weight: 600;
    padding-top: 10px;
}

.job-card .job-customer {
    font-size: 18px;
}

.job-card .job-status {
    padding: 5px 10px;
    border-radius: 5px;
    font-size: 18px;
    font-weight: 600;
    width: fit-content;
}

.job-card .job-status.in_progress {
    background-color: #ffc107;
    color: #000;
}

.job-card .job-status.done {
    background-color: #28a745;
    color: #fff;
}

.job-card .job-status.completed {
    background-color: #007bff;
    color: #fff;
}

.job-card .job-status.pending {
    background-color: #dc3545;
    color: #fff;
}

.job-card .job-date {
    font-size: 16px;
    font-weight: 600;
}

.job-title-status {
    font-size: 24px;
    font-weight: 600;
    padding: 5px 20px;
    border-radius: 5px;
}

.job-title-status.in_progress {
    background-color: #ffc107;
    color: #000;
}

.job-title-status.done {
    background-color: #28a745;
    color: #fff;
}

.job-title-status.completed {
    background-color: #007bff;
    color: #fff;
}

.job-title-status.pending {
    background-color: #dc3545;
    color: #fff;
}

.checklist-table {
    margin: 10px 0;
    margin-left: 15px;
    width: calc(100% - 15px);
}

.checklist-table td {
    align-content: center;
    padding: 0 10px;
}

.checklist-table .col-sm-10 {
    align-content: center;
}

.select2-hidden-until-init {
    visibility: hidden;
}

@media all and (max-width: 768px) {
    .sidebar {
        display: none;
    }
    .main-content {
        margin-left: 0;
    }
    .navbar {
        margin-left: 0;
    }
    #offcanvasMenu {
        width: 80%;
        background-color: var(--primary-color) !important;
    }
    .title {
        font-size: 28px;
    }
    .job-card .card-body {
        flex-direction: column;
        align-items: flex-start;
    }
    .job-card .status-date {
        align-items: flex-start !important;
        padding-top: 20px;
    }
}

.offcanvas-body {
    padding: 20px;
}
